Khronos Public Bugzilla

Bug 853

Summary: Contradicting/misleading documentation in glAttachShader and glUseProgram in ES 2.0
Product: OpenGL-ES Reporter: Jonathan Ringstad <jwringstad>
Component: Man Pages & Other DocumentationAssignee: lum9999 <289592968>
Status: RESOLVED WONTFIX QA Contact: OpenGL ES Work Group email alias <opengl_es>
Severity: normal    
Priority: P3 CC: 289592968, devrel, jwringstad
Version: 2.0   
Target Milestone: ---   
Hardware: All   
OS: All   

Description Jonathan Ringstad 2013-04-17 16:49:34 PDT
The manpages for glAttachShader and glUseProgram for OpenGL ES 2.0 appear to contradict eachother:

glAttachShader ( says

"Multiple shader objects of the same type may not be attached to a single program object."

However, glUseProgram ( says

"A program object will contain executables that will run on the vertex and fragment processors if it contains one or more shader objects of type GL_VERTEX_SHADER and one or more shader objects of type GL_FRAGMENT_SHADER that have all been successfully compiled and linked."
Comment 1 Jon Leech 2013-06-19 15:18:00 PDT
Reassign to man page author.
Comment 2 Jon Leech 2013-06-19 15:20:45 PDT
Reassign OpenGL ES bugs in the public Bugzilla to the ES WG Chair so
they'll get more attention.
Comment 3 Jon Leech 2013-06-19 15:21:30 PDT
Woops, sorry. This was correctly assigned to Graham and then got
caught in a batch reassign of other ES bugs. Restoring.
Comment 4 Jon Leech 2016-05-19 14:39:57 PDT
Per WG signoff 2016/05/18, closing all ES <= 2.0 bugs
more than one year old WONTFIX. We do not plan to
update these specs. If any of these issues are
relevant to ES 3.2, please open a new bug against
that version with the details updated to match the
current spec.